libecpg-dev_9.5.19-0ubuntu0.16.04.1_i386.deb


Advertisement

Description

libecpg-dev - development files for ECPG (Embedded PostgreSQL for C)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main i386
Package filename libecpg-dev_9.5.19-0ubuntu0.16.04.1_i386.deb
Package name libecpg-dev
Package version 9.5.19
Package release 0ubuntu0.16.04.1
Package architecture i386
Package type deb
Category libdevel
Homepage http://www.postgresql.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 218.19 KB
Installed size 1.13 MB
This package contains the necessary files to build ECPG (Embedded
PostgreSQL for C) programs.  It includes the development libraries
and the preprocessor program ecpg.
PostgreSQL is an object-relational SQL database management system.
Install this package if you want to write C programs with SQL statements
embedded in them (rather than run by an external process).

Alternatives

Package Version Architecture Repository
libecpg-dev_9.5.19-0ubuntu0.16.04.1_amd64.deb 9.5.19 amd64 Ubuntu Updates Main
libecpg-dev_9.5.2-1_i386.deb 9.5.2 i386 Ubuntu Main
libecpg-dev_9.5.2-1_amd64.deb 9.5.2 amd64 Ubuntu Main
libecpg-dev - - -

Requires

Name Value
libc6 >= 2.4
libecpg-compat3 = 9.5.19-0ubuntu0.16.04.1
libecpg6 = 9.5.19-0ubuntu0.16.04.1
libpgtypes3 = 9.5.19-0ubuntu0.16.04.1
libpq-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libecpg-dev_9.5.19-0ubuntu0.16.04.1_i386.deb
Source Package postgresql-9.5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libecpg-dev deb package:
    # sudo apt-get install libecpg-dev

Files

Path
/usr/bin/ecpg
/usr/include/postgresql/ecpg_config.h
/usr/include/postgresql/ecpg_informix.h
/usr/include/postgresql/ecpgerrno.h
/usr/include/postgresql/ecpglib.h
/usr/include/postgresql/ecpgtype.h
/usr/include/postgresql/pgtypes.h
/usr/include/postgresql/pgtypes_date.h
/usr/include/postgresql/pgtypes_error.h
/usr/include/postgresql/pgtypes_interval.h
/usr/include/postgresql/pgtypes_numeric.h
/usr/include/postgresql/pgtypes_timestamp.h
/usr/include/postgresql/sql3types.h
/usr/include/postgresql/sqlca.h
/usr/include/postgresql/sqlda-compat.h
/usr/include/postgresql/sqlda-native.h
/usr/include/postgresql/sqlda.h
/usr/include/postgresql/informix/esql/datetime.h
/usr/include/postgresql/informix/esql/decimal.h
/usr/include/postgresql/informix/esql/sqltypes.h
/usr/lib/i386-linux-gnu/libecpg.a
/usr/lib/i386-linux-gnu/libecpg.so
/usr/lib/i386-linux-gnu/libecpg_compat.a
/usr/lib/i386-linux-gnu/libecpg_compat.so
/usr/lib/i386-linux-gnu/libpgtypes.a
/usr/lib/i386-linux-gnu/libpgtypes.so
/usr/lib/i386-linux-gnu/pkgconfig/libecpg.pc
/usr/lib/i386-linux-gnu/pkgconfig/libecpg_compat.pc
/usr/lib/i386-linux-gnu/pkgconfig/libpgtypes.pc
/usr/share/doc/libecpg-dev/changelog.Debian.gz
/usr/share/doc/libecpg-dev/copyright
/usr/share/man/man1/ecpg.1.gz

Changelog

2019-08-06 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
postgresql-9.5 (9.5.19-0ubuntu0.16.04.1) xenial-security; urgency=medium
* SECURITY UPDATE: New upstream release (LP: #1839058)
- Require schema qualification to cast to a temporary type when using
functional cast syntax (CVE-2019-10208)
- Fix failure of ALTER TABLE ... ALTER COLUMN TYPE when altering multiple
columns' types in one command. This fixes a regression introduced in the
most recent minor releases
- Details about these and many further changes can be found at:
https://www.postgresql.org/docs/9.5/static/release-9-5-19.html
2019-06-18 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
postgresql-9.5 (9.5.18-0ubuntu0.16.04.1) xenial; urgency=medium
* New upstream release (LP: #1833211)
- Fix failure of ALTER TABLE ... ALTER COLUMN TYPE when the table has
a partial exclusion constraint
- Fix failure of COMMENT command for comments on domain constraints
- Details about these and many further changes can be found at:
https://www.postgresql.org/docs/9.5/static/release-9-5-18.html
2019-05-07 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
postgresql-9.5 (9.5.17-0ubuntu0.16.04.1) xenial-security; urgency=medium
* New upstream release(s) (LP: #1828012)
- Prevent row-level security policies from being bypassed via
selectivity estimators.
CVE-2019-10130
- Details about these and many further changes can be found at:
https://www.postgresql.org/docs/9.5/static/release-9-5-17.html
2019-02-12 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
postgresql-9.5 (9.5.16-0ubuntu0.16.04.1) xenial; urgency=medium
* New upstream release(s) (LP: #1815665)
- By default, panic instead of retrying after fsync() failure, to avoid
possible data corruption. A new server parameter "guc-data-sync-retry"
has been added to control this;
- d/p/pg-9.5-Disallow-setting-client_min_messages-higher-than-ERR.patch:
to retain SRU stability this patch reverts one of the changes which
disabled the error suppression by setting client_min_messages to
fatal or panic. Overall that means no change to the handling of
client_min_messages due to this upload.
- Details about these and many further changes can be found at:
https://www.postgresql.org/docs/9.5/static/release-9-5-15.html
https://www.postgresql.org/docs/9.5/static/release-9-5-16.html

See Also

Package Description
libecpg6_9.5.19-0ubuntu0.16.04.1_i386.deb run-time library for ECPG programs
libecryptfs-dev_111-0ubuntu1.1_i386.deb ecryptfs cryptographic filesystem (development)
libecryptfs1_111-0ubuntu1.1_i386.deb ecryptfs cryptographic filesystem (library)
libedata-book-1.2-25_3.18.5-1ubuntu1.2_i386.deb Backend library for evolution address books
libedata-book1.2-dev_3.18.5-1ubuntu1.2_i386.deb Backend library for evolution address books (development files)
libedata-cal-1.2-28_3.18.5-1ubuntu1.2_i386.deb Backend library for evolution calendars
libedata-cal1.2-dev_3.18.5-1ubuntu1.2_i386.deb Backend library for evolution calendars (development files)
libedataserver-1.2-21_3.18.5-1ubuntu1.2_i386.deb Utility library for evolution data servers
libedataserver1.2-dev_3.18.5-1ubuntu1.2_i386.deb Utility library for evolution data servers (development files)
libedataserverui-1.2-1_3.18.5-1ubuntu1.2_i386.deb Utility library for evolution data servers
libedataserverui1.2-dev_3.18.5-1ubuntu1.2_i386.deb Utility library for evolution data servers (development files)
libegl1-mesa-dev-lts-utopic_13_i386.deb Transitional package for libegl1-mesa-dev-lts-utopic
libegl1-mesa-dev-lts-vivid_13_i386.deb Transitional package for libegl1-mesa-dev-lts-vivid
libegl1-mesa-dev-lts-wily_13_i386.deb Transitional package for libegl1-mesa-dev-lts-wily
libegl1-mesa-dev-lts-xenial_13_i386.deb Transitional package for libegl1-mesa-dev-lts-xenial
Advertisement
Advertisement